<!DOCTYPE html>{# vim:set ft=htmldjango: #}{% load static %}
<html lang="en">
 <head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <title>Example: File Manager Plugin - jWYSIWYG</title>
  <link rel="stylesheet" href="{% static "jquery.wysiwyg.css" %}">
  <link rel="stylesheet" href="{% static "help/lib/ui/jquery.ui.all.css" %}">
  <link rel="stylesheet" href="{% static "help/lib/ui/jquery.ui.dialog.css" %}">
  <link rel="stylesheet" href="{% static "plugins/fileManager/wysiwyg.fileManager.css" %}">
  <script src="{% static "help/lib/jquery.js" %}"></script>
  <script src="{% static "help/lib/ui/jquery.ui.core.js" %}"></script>
  <script src="{% static "help/lib/ui/jquery.ui.widget.js" %}"></script>
  <script src="{% static "help/lib/ui/jquery.ui.position.js" %}"></script>
  <script src="{% static "help/lib/ui/jquery.ui.dialog.js" %}"></script>
  <script src="{% static "jquery.wysiwyg.js" %}"></script>
  <script src="{% static "controls/wysiwyg.image.js" %}"></script>
  <script src="{% static "controls/wysiwyg.link.js" %}"></script>
  <script src="{% static "controls/wysiwyg.table.js" %}"></script>
  <script src="{% static "plugins/wysiwyg.fileManager.js" %}"></script>
  <script>
	(function($) {
		$(document).ready(function() {
			$("#wysiwyg").wysiwyg({
				controls: {
					"fileManager": { 
						visible: true,
						groupIndex: 12,
						tooltip: "File Manager",
						exec: function () {
							$.wysiwyg.fileManager.init(function (file) {
								file ? alert(file) : alert("No file selected.");
							});
						}
					}
				}
			});
                        $.wysiwyg.fileManager.setAjaxHandler("{% url "jWYSIWYG:file_manager.json" %}");
		});
	})(jQuery);
  </script>
 </head>
 <body>
  <div class="container">
   <h1>jWYSIWYG</h1>
   <h2>Example: File Manager</h2>
   <textarea id="wysiwyg" cols="80" rows="25">&lt;strong&gt;Important&lt;/strong&gt; content.</textarea>
  </div>
 </body>
</html>
